#! /bin/bash

# --------------------------------------------------------------------------
# NOTE: This script is currently being used as part from reset director agent 
# keys only
#
# --------------------------------------------------------------------------

need_to_start_pa="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"
need_to_start_ca="$(echo $2 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

# -----------------------------------------------
# Start PA services
# -----------------------------------------------
if [ "$need_to_start_pa" = "yes" ]; then

	/etc/init.d/cimlistenerd start > /dev/null 2>&1
	
	/etc/init.d/tier1slpinst start > /dev/null 2>&1 &
	for i in 1 2 3 4 5
	do
		sleep 5
		cimtierslp_status="$(/etc/init.d/tier1slpinst status | grep -i "TIER1SLP running")"
		if [ "x$cimtierslp_status" = "x" ]; then
			# -----------------------------------------
			# service is not reported as running
			# Do nothing just continue with the loop
			# -----------------------------------------
		echo "dummy" > /dev/null
		else
			break
		fi
	done
	
	/etc/init.d/cimserverd start > /dev/null 2>&1

fi

# -----------------------------------------------
# Start CA service
# -----------------------------------------------
if [ "$need_to_start_ca" = "yes" ]; then
	/opt/ibm/director/agent/runtime/agent/bin/endpoint.sh start > /dev/null 2>&1
fi

# ---------------------------------------------
# Watchdog added into DS 6.3 agents. Just 
# start it. Nothing happens if already started
#
# ---------------------------------------------
if [ -e /etc/init.d/ibmpawatchdogd ]; then
		/etc/init.d/ibmpawatchdogd start > /dev/null 2>&1
fi

echo "result=success"
exit 0
