#!/usr/bin/ksh

# output:
# result={success, fail}
#-------------------------

COUNTER=0
ITERATIONS=10
ITERATIVE_SLEEP=5
PATTERN="CoreAgent.query"
LOG_FILE="/opt/ibm/director/agent/logs/error-log-0.html"

# Initial wait for the agent to start (create log file etc..)
sleep 10

          # Sample the log file for CoreAgent.query() which indicates a good start
          while [ $COUNTER -lt $ITERATIONS ]; do
              line="$(cat $LOG_FILE | grep "$PATTERN")"
              if [ "$line" = "" ]; then
                  sleep $ITERATIVE_SLEEP
              else
                echo "result=success"
                exit 0;
              fi
              let COUNTER=COUNTER+1
          done

echo "result=fail"
