#! /bin/bash

# input:
# ipaddress=<ip of agent manager>
#
# output:
# result={success, fail}
#-------------------------

ipaddress="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"
/opt/ibm/director/agent/runtime/agent/toolkit/bin/checkconn.sh -host $ipaddress | grep successfully 2>&1 > /dev/null

RC=$?
if [ "$RC" != "0" ]; then
        echo "result=fail"
        exit 0;
fi

echo "result=success"
