@echo off

rem -----------------------------------------------------------------------
rem Modifying the agent status to be unmanaged. The agent will de-register
rem itself from the agent manager (in case it was registered to it)
rem
rem @return
rem	result=fail 
rem				In case the command not found or a failure occurred while
rem				running the command
rem	
rem	result=success
rem				In case command succeed.
rem
rem ------------------------------------------------------------------------

set unmanagedExec="C:\Program Files\IBM\Director\agent\runtime\agent\toolkit\bin\configure.bat"

if not exist %unmanagedExec% set unmanagedExec="C:\Program Files (x86)\IBM\Director\agent\runtime\agent\toolkit\bin\configure.bat"

if not exist %unmanagedExec% goto ERROR

call %unmanagedExec% -unmanaged -force >nul 2>nul

if %errorlevel% equ 0 echo result=success
if %errorlevel% neq 0 echo result=fail

exit /b 0

:ERROR

echo result=fail
